Subject: Re: [netatalk-admins] asun 2.1.2-2 on FreeBSD 2.2.6 and MacOS 8.5.1

From: [email-masked] (Bob Smith, Hammett & Edison, Inc.)
Date: Thu, 14 Jan 1999 12:59:22 -0800

On Wed, Jan 13, 1999, 21:53:17 a sun wrote:

>what i want to do now is make sure i fix a bunch of on-disk things as
>we migrate from ad v1 to ad v2. here's what i currently handle:
>	1) file dates to ad header epoch (on the fly)
>	2) 0-magic/0-version headers (only via adv1tov2 -v1compat)
>	3) Icon^M -> Icon:0d (via adv1tov2)
>	4) v1 -> v2 (duh)
>
>am i missing anything?

How about the file name field in the AD header?  If you do any renaming from
the shell side, the file name in the header and the actual name of the file
get out of sync.  I've never noticed this causing any problem in the past, but
will it be a problem later?

Bob S.

---

From: Devin Reade <[email-masked]>
Date: Thu, 14 Jan 1999 14:31:19 -0700 (MST)

> >we migrate from ad v1 to ad v2. here's what i currently handle:

I don't know if it's too late to bring this up, but ...

Part of the problem with the ProDOS-handling patches currently available
on the net is that they deduce the ProDOS file type (and other information)
based on the Mac FInfo block.  As per the Appletalk spec, this is incorrect;
there should be separate data field maintained by the server.  It is in
fact possible to have different file information depending on whether it
is being viewed by a Mac or an Apple II.

I don't have my specs with me at the moment (they're at home), but I
can elaborate later if it's still not too late to have the ad struct
expanded.  (I think it's only an extra couple or four bytes that it uses.)

Devin
-- 
It may be better to be a live jackal than a dead lion, but it is better
still to be a live lion.  And usually easier.		- Robert Heinlein